//
//
// C++ Implementation: test_dub.cpp
//
// Description: 
//
//
// Author: Eray Ozkural (exa) <erayo@cs.bilkent.edu.tr>, (C) 2001
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kdebug.h>

#include "dub.h"

static const char *description =
	I18N_NOOP("Dub");
	
	
static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("file to open"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "dub test app", I18N_NOOP("Dub"),
                         VERSION, description, KAboutData::License_GPL,
                         "(c) 2001, Eray Ozkural (exa)", 0, 0, "erayo@cs.bilkent.edu.tr");

  aboutData.addAuthor("Eray Ozkural (exa)",0, "erayo@cs.bilkent.edu.tr");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;

//  if (app.isRestored())
//  {
//    RESTORE(DubApp);
//  }
//  else {
//
//    DubApp *dub = new DubApp();
//    app.setMainWidget(dub);
//    dub->show();
//
//    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
//
//    if (args->count())
//      for(int i=0;i<args->count();i++) {
//        dub->openDocumentFile(args->arg(i));
//      }
//    else {
//      dub->newDocument();
//    }
//
//    args->clear();
//  }

  kdDebug() << "******* Starting dub test " << endl;

  return app.exec();
}
